<?php
// @version $Id: default.php 9477 2007-12-05 19:35:52Z tsai146 $
defined('_JEXEC') or die('Restricted access'); 
?>
 <div id="searcharea">
        
                                
<form action="index.php"  method="post" id="search" class="search<?php echo $params->get('moduleclass_sfx'); ?>">
	
    
    <label for="mod_search_searchword">	
		<?php echo JText::_('search') ?>
	</label>
	<?php 
		    $output = '<p id="search_bg"><input name="searchword" id="mod_search_searchword" maxlength="60" alt="'.$button_text.'" class="inputbox'.$moduleclass_sfx.'" type="text" size="'.$width.'" value="Search for ..."  onblur="if(this.value==\'\') this.value=\'Search for ...\';" onfocus="if(this.value==\'Search for ...\') this.value=\'\';" /></p>';
			 ?>
		    
			
			<?php 	if ($button) : 
			    if ($imagebutton) :
			        $button = '<input type="image" value="'.$button_text.'" class="button'.$moduleclass_sfx.'" src="'.$img.'"/>';
			    else :
			        $button = '<p id="search_button"><button type="submit"><span class="round"><span>'.$button_text.'</span></span></button></p>';
			    endif;
			endif;
			
			switch ($button_pos) :
			    case 'top' :
				    $button = $button.'<br/>';
				    $output = $button.$output;
				    break;

			    case 'bottom' :
				    $button = '<br/>'.$button;
				    $output = $output.$button;
				    break;

			    case 'right' :
				    $output = $output.$button;
				    break;

			    case 'left' :
			    default :
				    $output = $button.$output;
				    break;
			endswitch;
			
			echo $output;
    ?>
	<input type="hidden" name="option" value="com_search" />
	<input type="hidden" name="task"   value="search" />

</form>
	</div>
    
